User Tag List

Page 1 of 2 1 2 LastLast
Results 1 to 7 of 9

Thread: EmuDevs Mercenary System

  1. #1
    Founder <span style='color: #FF4500'>Tommy</span>'s Avatar
    Join Date
    Apr 2013
    Posts
    7,391
    XP
    3,449,104
    Level
    378
    Thanks
    889
    Thanked 1,855 Times in 1,119 Posts

    EmuDevs Mercenary System

    Public release is here! While this is still under development, this system is working and people can enjoy it.

    What is this Mercenary System?
    The Mercenary System for TrinityCore and MaNGOS (mangostwo) is intended as a follower type system for your character. You will be able to gear your Mercenary fully, like you can your own character. Mercenaries will be a bit more powerful than your character for strategically soloing most content. Interact with your Mercenary, changing its skills, name and more.

    Here's a short video of it in action:


    How did this project start?
    I asked for ideas on a project to work on and Foereaper came up with this idea, and we (+Rochet2) made it happen. This project has been in development (off/on) since Apr. 2014.

    What expansion and patch does this project support?
    Currently only for WotLK 3.3.5.

    Will I be able to equip my Mercenary with rings, trinkets, necklace, wrist, waist, cloak, tabard, shirt?
    Yes. Overtime they will be added. Right now Mercenaries can only equip major equipment (weapons, chest, legs, etc).

    Are there class and level equip restrictions?
    Yes. If your Mercenary is too low of level for an item they will not be able to equip that item until they are higher level. For mercenaries to equip certain Armor/Weapons, those are set in the mercenary_proficiencies table.

    Will stats on items increase my Mercenary's toughness?
    Yes. Any armor/weapon will increase your Mercenary's stats, given the item has stats on it.

    Are there anymore planned features?
    Yes. Some features are being thought up, but below you will see what we have in store.

    Planned Features
    https://github.com/EmuDevs/Mercenary/issues/6

    This system is still under development. Help us by reporting issues.

    Follow us on EmuDevs Twitter page for news.
    Subscribe on EmuDevs Youtube channel for videos of this project.

    Links

  2. The Following 8 Users Say Thank You to Tommy For This Useful Post:


  3. #2
    Original Poster
    Founder <span style='color: #FF4500'>Tommy</span>'s Avatar
    Join Date
    Apr 2013
    Posts
    7,391
    XP
    3,449,104
    Level
    378
    Thanks
    889
    Thanked 1,855 Times in 1,119 Posts
    Updated. You can now set armor & weapon proficiencies for your Mercenary in the new mercenary_proficiencies table. This allows users to set which Mercenary type can equip.

    View commit or changelog.
    View Mercenary Equipment on the wiki.

  4. The Following User Says Thank You to Tommy For This Useful Post:


  5. #3
    Lurking Member
    Join Date
    Jul 2016
    Posts
    11
    XP
    76
    Level
    1
    Thanks
    3
    Thanked 0 Times in 0 Posts
    hi,
    i downloaded this file
    https://github.com/EmuDevs/Mercenary
    and put every thing in source & sql file & diff
    then compiled everything compiled without error but now when i want to run worldserver.exe it says


    TrinityCore rev. unknown 1970-01-01 00:00:00 +0000 (Archived branch) (Win32, RelWithDebInfo, Static) (worldserver-daemon)
    <Ctrl-C> to stop.

    Using configuration file G:/src files/3.3.5/bin/RelWithDebInfo/worldserver.conf.
    Using SSL version: OpenSSL 1.0.2e 3 Dec 2015 (library: OpenSSL 1.0.0c 2 Dec 2010)
    Using Boost version: 1.57.0
    Updating Auth database...
    >> Auth database is up-to-date! Containing 3 new and 10 archived updates.
    Updating Character database...
    >> Character database is up-to-date! Containing 1 new and 15 archived updates.
    Updating World database...
    >> World database is up-to-date! Containing 239 new and 1206 archived updates.
    Could not prepare statements of the Character database, see log for details.

    and close what should i do?

    srry if i sumbit my question in wrong section

  6. #4
    Original Poster
    Founder <span style='color: #FF4500'>Tommy</span>'s Avatar
    Join Date
    Apr 2013
    Posts
    7,391
    XP
    3,449,104
    Level
    378
    Thanks
    889
    Thanked 1,855 Times in 1,119 Posts
    Quote Originally Posted by hadifaren View Post
    hi,
    i downloaded this file
    https://github.com/EmuDevs/Mercenary
    and put every thing in source & sql file & diff
    then compiled everything compiled without error but now when i want to run worldserver.exe it says


    TrinityCore rev. unknown 1970-01-01 00:00:00 +0000 (Archived branch) (Win32, RelWithDebInfo, Static) (worldserver-daemon)
    <Ctrl-C> to stop.

    Using configuration file G:/src files/3.3.5/bin/RelWithDebInfo/worldserver.conf.
    Using SSL version: OpenSSL 1.0.2e 3 Dec 2015 (library: OpenSSL 1.0.0c 2 Dec 2010)
    Using Boost version: 1.57.0
    Updating Auth database...
    >> Auth database is up-to-date! Containing 3 new and 10 archived updates.
    Updating Character database...
    >> Character database is up-to-date! Containing 1 new and 15 archived updates.
    Updating World database...
    >> World database is up-to-date! Containing 239 new and 1206 archived updates.
    Could not prepare statements of the Character database, see log for details.

    and close what should i do?

    srry if i sumbit my question in wrong section
    Did you run the SQL query in your character database?

  7. #5
    Lurking Member
    Join Date
    Jul 2016
    Posts
    11
    XP
    76
    Level
    1
    Thanks
    3
    Thanked 0 Times in 0 Posts
    yes i runed without error
    im using TDB61 with last updated source from github

  8. #6
    Original Poster
    Founder <span style='color: #FF4500'>Tommy</span>'s Avatar
    Join Date
    Apr 2013
    Posts
    7,391
    XP
    3,449,104
    Level
    378
    Thanks
    889
    Thanked 1,855 Times in 1,119 Posts
    Quote Originally Posted by hadifaren View Post
    yes i runed without error
    im using TDB61 with last updated source from github
    I'll look into this tonight or tomorrow and see if I can replicate this issue to try and fix it. Thanks!

  9. The Following User Says Thank You to Tommy For This Useful Post:


  10. #7
    Moderator <span style='color: #FF1493'><span class='glow_000000'>Vitrex</span></span>'s Avatar

    Join Date
    Sep 2013
    Location
    Vilnius , Lithuania
    Posts
    1,046
    XP
    1,000,626
    Level
    174
    Thanks
    282
    Thanked 136 Times in 96 Posts
    WOW :O
    Achievements:
    Shopper Got a Sticky! 1 year registered Member Level XL Level C Referrer
    Awards:
    Raffle Winner Donator Member of Staff Pot Head
    I won't create anything for you, i can only guide you to right direction.
    Don't forget to read rules before posting.
    Forum Rules
    Need and assistance with your issue? use this section to ask for assistance !
    -----
    My Portfolio
    Wanna learn PHP ? check out my One-Page project


Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •